Name:           perl-Gtk2-SourceView2
Version:        0.10
Release:        4%{?dist}
Summary:        Perl bindings for the GtkSourceView 2.x widget
Group:          Development/Libraries
License:        GPLv2+ or Artistic 2.0
URL:            http://search.cpan.org/dist/Gtk2-SourceView2/
Source0:        http://search.cpan.org/CPAN/authors/id/P/PO/POTYL/Gtk2-SourceView2-0.10.tar.gz
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(ExtUtils::Depends)
BuildRequires:  perl(ExtUtils::PkgConfig)
BuildRequires:  perl(Glib::MakeHelper)
BuildRequires:  perl(Gtk2::CodeGen)
BuildRequires:  pkgconfig(gtksourceview-2.0)
# for the testsuite
BuildRequires:  perl(Test::More)
BuildRequires:  Xvfb xauth

Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
Perl bindings for the C library "libgtksourceview2" that extends the
standard GTK+ framework for multiline text editing with support for
configurable syntax highlighting, unlimited undo/redo, UTF-8 compliant
caseless searching, printing and other features typical of a source
code editor.


%prep
%setup -q -n Gtk2-SourceView2-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}


%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'
%{_fixperms} %{buildroot}/*
chmod a-x examples/*


%check
xvfb-run -a -w 1 make test


%files
%doc README COPYING Changes examples
%{perl_vendorarch}/*
# not needed at runtime
%exclude %{perl_vendorarch}/Gtk2/SourceView2/Install
%{_mandir}/man3/*.3*


%changelog
* Mon Sep 01 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.10-4
- Perl 5.20 rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Sep  5 2013 Thomas Moschny <thomas.moschny@gmx.de> - 0.10-1
- initial rpm release (#1004913)
